<?
	
//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------
	
	include_once ('class/MailList.class.inc');
	
	CheckCallIsCorrect();
	
	global $HTTP_POST_VARS, $HTTP_GET_VARS, $REQUEST_METHOD, $folders, $active_folder;
	
	if( !isset( $active_folder ) )
	{
		echo "<font class=bodyText>You should define though one maillist first.<br>
		Please, go to the menu <a href=\"MailManager.php?mid=0\">Folders/Manage</a> and add the maillist.
		</font>";
		exit;		
	}
	
	if( $_SERVER['REQUEST_METHOD'] == 'POST' )
	{
		if( !isset( $HTTP_POST_VARS['data'] ) )
			die("Invalid request.");
		
		$data = $HTTP_POST_VARS['data'];
			
		$desc = stripslashes( $HTTP_POST_VARS['description'] );
		$email = stripslashes( $HTTP_POST_VARS['email'] );
		$mail_disabled = $HTTP_POST_VARS['mail_disabled'];
		
		if( $mail_disabled )
			$mail_disabled = true;
		
		// create folder active mail list
		$mail_list = new MailList();
		
		if( $email == "" )
			$msg = $msg . "<li><b>Address</b> field should be entered.</li>\n";
			
		//
		// If all is ok - try to add
		
		if( $msg == "" && !IsDemo() )
		{
			if( crc32($email) != (integer)$data )
			{
				// e-mail address changed
				if( isset( $mail_list->mails[crc32($email)] ) )
				{
					$msg = $msg . "<li class=varningText>Entry with such e-mail address already defined in this address list.</li>\n";
				}
			}
			
			if( $msg == "" )
			{
				$mail_list->mails[ (integer)$data ]->email = $email;
				$mail_list->mails[ (integer)$data ]->desc = $desc;
				$mail_list->mails[ (integer)$data ]->mail_disabled = $mail_disabled;
	
				if( !$mail_list->Write() )
					$msg = $msg . "<li>Failed to write data file.</li>\n";
				else
				{
					$msg = "<p class=varningText>User $desc &lt;$email&gt; successfuly updated.</p>";
					$post = true;
				}
			}
		}
		
		if( IsDemo() )
		{
			$msg = "<P class=varningText>You can not add new address as guest. If you want to test
				mail send functionality, go directly to <b>Send Mail</b> menu and enter your address for
				test in the special edit box.</P>";
		}
	}
	elseif( $_SERVER['REQUEST_METHOD'] == 'GET' )
	{
		if( !isset( $HTTP_GET_VARS['data'] ) )
			die("Invalid request.");
	
		$data = $HTTP_GET_VARS['data'];
			
		// create folder active mail list
		$mail_list = new MailList();
		$mail = $mail_list->mails[ (integer)$data ];
		$email = $mail->email;
		$desc = $mail->desc;
		$mail_disabled = $mail->mail_disabled;
	}
	else
		die("Invalid request.");
?>

<a href="MailManager.php?mid=2">Back</a>
<?php if( $post ): ?>

<?=$msg;?>

<?php else: ?>
<P class=bodyText>Please, edit address information and press <b>Update</b> button.</P>

<?=$msg;?>

<form name="add" method="post" action="<?=$target;?>&ctx=1">
<input type="hidden" name="data" value="<?=$data;?>">
<table width="50%" class="bodyText">
<tr><td colspan="2" height="10" bgcolor="#e0e0e0"></td></tr>
<tr>
	<td width="30%">
		Name:
	</td>
	<td>
		<input type="text" name="description" size="50" maxlength=100 value="<?=$desc;?>">
	</td>
</tr>
<tr>
	<td width="30%">
		Address:
	</td>
	<td>
		<input type="text" name="email" size="50" maxlength=100 value="<?=$email;?>">
	</td>
</tr>
<tr>
	<td width="30%">
		Disabled:
	</td>
	<td>
<?php
	if( $mail_disabled )
		print '<input name=mail_disabled type=checkbox checked>';
	else
		print '<input name=mail_disabled type=checkbox>';
?>
	</td>
</tr>
<tr><td colspan="2" height="10" bgcolor="#e0e0e0"></td></tr>
<tr>
	<td width="50%">&nbsp;</td>
	<td align=right>
		<input class=field type=submit name="submit" value="Update" style="width: 50px; heigth: 18px; font-size: 12px">		
	</td>
</tr>
</table>
</form>

<?php endif; ?>